	dimension f(12)
	open (unit=1,file='data.out',type='old')
	pi = 3.141592654
	degrad = pi / 180.
	sum = 0.
	do 20 ih = 1,24
	do 10 m = 1,12
	a = 0.335 + 0.055 * cos(degrad*(m+5)*30.)
	b = 0.082 + 0.062 * cos(degrad*(m+5)*30.)
	ratio = a - b * cos(ih * 15 * degrad)
	sum = sum + ratio
	f(m) = ratio
ccc	print*, ' month,hour,ratio ', m,ih,ratio
10	continue
	write(1,600) ih,(f(i),i=1,12)
	write(6,600) ih,(f(i),i=1,12)
600	format(i4,4x,12f6.3)
20	continue
	average = sum / 12. / 24.
	write(1,601) average
	write(6,601) average
601	format(//5x,'Average value of ratio ', f6.2)
	end
